#pragma once

#include "Surface.h"
#include "Accelerator.h"


/**
 * @ref Accelerator class documentation.
 */
class KdTree : public Accelerator
{
public:
    /** @ref Accelerator class documentation. */
	KdTree( const SurfaceList *scene );

    /** @ref Accelerator class documentation. */
    virtual ~KdTree();

    /** @ref Accelerator class documentation. */
    virtual Intersection intersect( Ray ray, float tStart, float tEnd ) const;
};