#pragma once

#include "Accelerator.h"


/**
 * @ref Accelerator class documentation.
 */
class SphereTree : public Accelerator
{

public:
    /** @ref Accelerator class documentation. */
	SphereTree( const SurfaceList *scene );

    /** @ref Accelerator class documentation. */
    virtual ~SphereTree();

    /** @ref Accelerator class documentation. */
    virtual Intersection intersect( Ray ray, float tStart, float tEnd ) const;
};