#pragma once

#include "Surface.h"
#include "Accelerator.h"
#include "Aabb.h"

/**
 * @ref Accelerator class documentation.
 */
class UniformGrid : public Accelerator
{

public:
    /** @ref Accelerator class documentation. */
	UniformGrid( const SurfaceList *scene );

    /** @ref Accelerator class documentation. */
    virtual ~UniformGrid();

    /** @ref Accelerator class documentation. */
    virtual Intersection intersect( Ray ray, float tStart, float tEnd ) const;
};